# DataExchange
TKXSBase
Interface

# Interface_GlobalNodeOfGeneralLib Class Reference

`#include <Interface_GlobalNodeOfGeneralLib.hxx>`

## Public Member Functions

Standard_EXPORT | Interface_GlobalNodeOfGeneralLib ()
Standard_EXPORT void | Add (const Handle(Interface_GeneralModule)&amodule, const Handle(Interface_Protocol)&aprotocol)
Standard_EXPORT const Handle_Interface_GeneralModule & | Module () const
Standard_EXPORT const Handle_Interface_Protocol & | Protocol () const
Standard_EXPORT const Handle_Interface_GlobalNodeOfGeneralLib & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Interface_GeneralModule | themod
Handle_Interface_Protocol | theprot
Handle_Interface_GlobalNodeOfGeneralLib | thenext

## Constructor & Destructor Documentation

Standard_EXPORT Interface_GlobalNodeOfGeneralLib::Interface_GlobalNodeOfGeneralLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Interface_GlobalNodeOfGeneralLib::Add | ( | const Handle(Interface_GeneralModule)& | amodule,
|  | const Handle(Interface_Protocol)& | aprotocol
| ) |

Standard_EXPORT const Interface_GlobalNodeOfGeneralLib::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_Interface_GeneralModule& Interface_GlobalNodeOfGeneralLib::Module | ( |  | ) | const

Standard_EXPORT const Handle_Interface_GlobalNodeOfGeneralLib& Interface_GlobalNodeOfGeneralLib::Next | ( |  | ) | const

Standard_EXPORT const Handle_Interface_Protocol& Interface_GlobalNodeOfGeneralLib::Protocol | ( |  | ) | const

## Field Documentation

Handle_Interface_GeneralModule Interface_GlobalNodeOfGeneralLib::themod `[private]`

Handle_Interface_GlobalNodeOfGeneralLib Interface_GlobalNodeOfGeneralLib::thenext `[private]`

Handle_Interface_Protocol Interface_GlobalNodeOfGeneralLib::theprot `[private]`

The documentation for this class was generated from the following file:

- Interface_GlobalNodeOfGeneralLib.hxx